<?php

function lang($ru, $ua) {
	global $user, $user_id;
	if (!empty($user_id))
	{
		if ($user['lang'] == 'ru') return $ru;
		else return $ua;
	}
	else
	{
		if ($_COOKIE['lang'] == 'ru') return $ru;
		else return $ua;
	}
}

function user_name($user_id, $surname = 1,  $info = 0) {
$arr_user = mysql_fetch_array(mysql_query("SELECT `id`, `avatar`, `name`, `surname`, `day`, `month`, `year`, `region`, `city`, `hide_year`, `online`, `ban`, `device` FROM `users` WHERE `id` = '".$user_id."' LIMIT 1"));


if (!empty($arr_user['avatar'])) $user_ava = '<img class="avatar_icons" src="'.URL.'/files/avatars/'.$arr_user['id'].'/icons/'.$arr_user['avatar'].'"/>';
else $user_ava = '<img class="avatar_icons" src="'.URL.'/design/img/noavatar.png"/>';

if ($arr_user['online'] == 1) $user_online = '<img style="margin: 2px;" src="'.URL.'/design/img/'.($arr_user['device']=='Computer'?'online_pc':'online_mobile').'.png"/>';
$user_name = '<a href="'.URL.'/?id='.$arr_user['id'].'" onclick="Page.Go(this.href); return false">'.$user_ava.'<b>'.$arr_user['name'].''.($surname==1?' '.$arr_user['surname']:'').'</b> '.$user_online.'</a> ';

if ($info > 0)
{
	if (!empty($arr_user['day']) && $arr_user['hide_year'] == 0) $bday = age($arr_user['day'],$arr_user['month'],$arr_user['year']);
	if (!empty($arr_user['region']))
	{
		$array = mysql_fetch_array(mysql_query("SELECT * FROM `region` WHERE `id` = '".$arr_user['region']."' LIMIT 1")); 
		$city = (!empty($bday)?', ':'').''.$arr_user['city'].''.($info==1?' ('.lang($array['ru_name'],$array['ua_name']).' обл.)':'');
	}
	if (empty($bday) && empty($city)) $user_name = $user_name.'<br/><br/>';
	else $user_name = $user_name.'<ul>'.$bday.$city.'</ul>';
}

return $user_name;
}

function user_name2($user_id) {
$arr_user = mysql_fetch_array(mysql_query("SELECT `id`, `avatar`, `name`, `surname`, `online`, `ban`, `device` FROM `users` WHERE `id` = '".$user_id."' LIMIT 1"));


if (!empty($arr_user['avatar'])) $user_ava = '<img class="avatar_icons" src="'.URL.'/files/avatars/'.$arr_user['id'].'/icons/'.$arr_user['avatar'].'"/>';
else $user_ava = '<img class="avatar_icons" src="'.URL.'/design/img/noavatar.png"/>';

if ($arr_user['online'] == 1) $user_online = '<img style="margin: 2px;" src="'.URL.'/design/img/'.($arr_user['device']=='Computer'?'online_pc':'online_mobile').'.png"/>';
$user_name = $user_ava.'<b>'.$arr_user['name'].' '.$arr_user['surname'].'</b> '.$user_online;

return $user_name;
}

function user_name3($user_id) {
$arr_user = mysql_fetch_array(mysql_query("SELECT `id`, `name`, `surname` FROM `users` WHERE `id` = '".$user_id."' LIMIT 1"));
$user_name = $arr_user['name'].' '.$arr_user['surname'];
return $user_name;
}

function user_name4($user_id, $surname = 1,  $info = 0) {
$arr_user = mysql_fetch_array(mysql_query("SELECT `id`, `avatar`, `name`, `surname`, `day`, `month`, `year`, `region`, `city`, `hide_year`, `online`, `ban`, `device` FROM `users` WHERE `id` = '".$user_id."' LIMIT 1"));


if (!empty($arr_user['avatar'])) $user_ava = '<img class="avatar_iconsz" src="'.URL.'/files/avatars/'.$arr_user['id'].'/mini/'.$arr_user['avatar'].'"/>';
else $user_ava = '<img class="avatar_iconsz" src="'.URL.'/design/img/noavatar.png"/>';

if ($arr_user['online'] == 1) $user_online = '<img style="margin: 2px;" src="'.URL.'/design/img/'.($arr_user['device']=='Computer'?'online_pc':'online_mobile').'.png"/>';
$user_name = '<a href="'.URL.'/?id='.$arr_user['id'].'" onclick="Page.Go(this.href); return false">'.$user_ava.'<b>'.$arr_user['name'].''.($surname==1?' '.$arr_user['surname']:'').'</b> '.$user_online.'</a> ';

if ($info > 0)
{
	if (!empty($arr_user['day']) && $arr_user['hide_year'] == 0) $bday = age($arr_user['day'],$arr_user['month'],$arr_user['year']);
	if (!empty($arr_user['region']))
	{
		$array = mysql_fetch_array(mysql_query("SELECT * FROM `region` WHERE `id` = '".$arr_user['region']."' LIMIT 1")); 
		$city = (!empty($bday)?', ':'').''.$arr_user['city'].''.($info==1?' ('.lang($array['ru_name'],$array['ua_name']).' обл.)':'');
	}
	if (empty($bday) && empty($city)) $user_name = $user_name.'<br/><br/>';
	else $user_name = $user_name.'<ul>'.$bday.$city.'</ul>';
}

return $user_name;
}





function user_ava($user_id, $width = 32, $style = false) {
$arr_user = mysql_fetch_array(mysql_query("SELECT `id`, `avatar` FROM `users` WHERE `id` = '".$user_id."' LIMIT 1"));
if (!empty($arr_user['avatar'])) $user_ava = '<img class="'.($style == false?'avatar_icons':'preview_icons').'" style="width:'.$width.'px; height:'.$width.'px;" src="'.URL.'/files/avatars/'.$arr_user['id'].'/icons/'.$arr_user['avatar'].'"/>';
else $user_ava = '<img style="width:'.$width.'px; height:'.$width.'px;" src="'.URL.'/design/img/noavatar.png"/>';
return $user_ava;
}


function age($d,$m,$y) {
$age = date('Y') - $y;
if (date('m') < $m || (date('m') == $m && date('d') < $d)) $age--;
$age = (int)$age;

$q1 = abs($age) % 100;
$q2 = $age % 10;
if ($q1 > 10 && $q1 < 20)
{
	$result = lang('лет','років');
}
elseif ($q2 > 1 && $q2 < 5)
{
	$result = lang('года','роки');
}
elseif ($q2 == 1)
{
	$result = lang('год','рік');
}
else
{
	$result = lang('лет','років');
}

return $age.' '.$result;
}



function user_visit($sex,$var)
{
    if ($var == NULL) $var = time();
    $full_time = date('d.m.Y '.lang('в','о').' H:i', $var);
    $date = date('d.m.Y', $var);
    $time = date('H:i', $var);
    if ($date == date('d.m.Y'))
	{
		$full_time = date(''.lang('сегодня в','сьогодні о').' H:i', $var);
		$h = date('H', $var);
		$i = date('i', $var);
		$s = date('s', $var);
		if ($h == date('H'))
		{
			if ((date('i') - $i) < 1) $full_time = date('s').' '.lang('сек. назад','сек. тому');
			else $full_time = (date('i') - $i).' '.lang('мин. назад','хв. тому');
		}
		else if ($h < date('H'))
		{
			if ($h < (date('H') - 10800)) $full_time = lang('три часа назад','три години тому');
			if ($h < (date('H') - 7200)) $full_time = lang('два часа назад','дві години тому');
			if ($h < (date('H') - 3600)) $full_time = lang('час назад','годину тому');
		}
	}
    if ($date == date('d.m.Y', time()-60*60*24)) $full_time = date(''.lang('вчера в','вчора о').' H:i', $var);	
	if ($sex == 1) $full_time = lang('был в сети','був у мережі').' '.$full_time;
	else if ($sex == 2) $full_time = lang('была в сети','була у мережі').' '.$full_time;

    return '<font class="visit">'.$full_time.'</font>';
}



function hb($month) {
	if ($month == 1) return lang('Января','Січня');
	else if ($month == 2) return lang('Февраля','Лютого');
	else if ($month == 3) return lang('Марта','Березня');
	else if ($month == 4) return lang('Апреля','Квітня');
	else if ($month == 5) return lang('Мая','Травня');
	else if ($month == 6) return lang('Июня','Червня');
	else if ($month == 7) return lang('Июля','Липня');
	else if ($month == 8) return lang('Августа','Серпня');
	else if ($month == 9) return lang('Сентября','Вересня');
	else if ($month == 10) return lang('Октября','Жовтня');
	else if ($month == 11) return lang('Ноября','Листопада');
	else if ($month == 12) return lang('Декабря','Грудня');
}

function sp($sp,$sex) {
if ($sex == 1)
{
	if ($sp == 1) return lang('Неженат','Неодружений');
	else if ($sp == 2) return lang('Встречаюсь','Зустрічаюсь');
	else if ($sp == 3) return lang('Помолвлен','Заручений');
	else if ($sp == 4) return lang('Женат','Одружений');
	else if ($sp == 5) return lang('Все сложно','Все складно');
	else if ($sp == 6) return lang('В активном поиске','В активному пошуку');
	else if ($sp == 7) return lang('Влюблен','Закоханий');
}
else
{
	if ($sp == 1) return lang('Незамужем','Незаміжня');
	else if ($sp == 2) return lang('Встречаюсь','Зустрічаюсь');
	else if ($sp == 3) return lang('Помолвлена','Заручена');
	else if ($sp == 4) return lang('Замужем','Заміжня');
	else if ($sp == 5) return lang('Все сложно','Все складно');
	else if ($sp == 6) return lang('В активном поиске','В активному пошуку');
	else if ($sp == 7) return lang('Влюблена','Закохана');
}
}

function people($count) {
$count = (int)$count;

$q1 = abs($count) % 100;
$q2 = $count % 10;
if ($q1 > 10 && $q1 < 20)
{
	$result = 'людей';
}
elseif ($q2 > 1 && $q2 < 5)
{
	$result = lang('человека','людини');
}
elseif ($q2 == 1)
{
	$result = lang('человек','людина');
}
else
{
	$result = 'людей';
}

return '<b>'.$count.'</b> '.$result;
}

function comm($count) {
$count = (int)$count;

$q1 = abs($count) % 100;
$q2 = $count % 10;
if ($q1 > 10 && $q1 < 20)
{
	$result = lang('комментариев','коментарів');
}
elseif ($q2 > 1 && $q2 < 5)
{
	$result = lang('комментария','коментарі');
}
elseif ($q2 == 1)
{
	$result = lang('комментарий','коментар');
}
else
{
	$result = lang('комментариев','коментарів');
}

return $count.' '.$result;
}

?>